Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaStubCompilationUnit

- org.codehaus.groovy.tools.javac.JavaStubCompilationUnit

- Compilation unit to only generate stubs.

  Authors:
    Jason Dillon
    Guillaume Laforge

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompilationUnit` | `ast, astTransformationsContext, classNodeResolver, classSourcesByPublicClassName, classgenCallback, configured, debug, generatedClasses, names, optimizer, progressCallback, queuedSources, resolveVisitor, sources, staticImportVisitor, summariesByPublicClassName, summariesBySourceName, verifier`
    `class ProcessingUnit` | `classLoader, configuration, errorCollector, phase, phaseComplete`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaStubCompilationUnit (CompilerConfiguration config, GroovyClassLoader gcl, File destDir)`
    `JavaStubCompilationUnit (CompilerConfiguration config, GroovyClassLoader gcl)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.codehaus.groovy.control.SourceUnit` | `addSource(File file)`
    `` | `org.codehaus.groovy.control.SourceUnit` | `addSource(URL url)`
    `` | `void` | `compile()`
    `` | `void` | `configure(CompilerConfiguration config)`
    `` | `int` | `getStubCount()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompilationUnit` | `addClassNode, addFirstPhaseOperation, addNewPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSource, addSources, addSources, applyToGeneratedGroovyClasses, applyToPrimaryClassNodes, applyToSourceUnits, compile, compile, configure, createClassVisitor, dequeued, getAST, getASTTransformationsContext, getClassNode, getClassNodeResolver, getClassSourcesByPublicClassName, getClasses, getClassgenCallback, getFirstClassNode, getProgressCallback, getSummariesByPublicClassName, getSummariesBySourceName, getTransformLoader, isPublicClass, iterator, mark, setClassNodeResolver, setClassgenCallback, setProgressCallback`
    `class ProcessingUnit` | `completePhase, configure, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, gotoPhase, nextPhase, setClassLoader, setConfiguration`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl, File destDir)

    - #### public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl)

  - ### Method Detail

    - #### @Override public org.codehaus.groovy.control.SourceUnit addSource(File file)

    - #### @Override public org.codehaus.groovy.control.SourceUnit addSource(URL url)

    - #### @Override public void compile()

    - #### @Override public void configure(CompilerConfiguration config)

    - #### public int getStubCount()